Bug 240115 - fence_mcdata doesnt work with newer models
Summary: fence_mcdata doesnt work with newer models
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: fence   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-15 10:29 UTC by Bryn M. Reeves
Modified: 2018-10-19 19:45 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0996
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 21:54:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch adding support for newer mcdata prompt style (476 bytes, patch)
2007-05-15 10:29 UTC, Bryn M. Reeves
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0996 normal SHIPPED_LIVE fence bug fix update 2007-11-29 14:47:20 UTC

Description Bryn M. Reeves 2007-05-15 10:29:41 UTC
+++ This bug was initially created as a clone of Bug #195897 +++

Current versions of fence_mcdata (confirmed on packages GFS-6.1.5-0.src.rpm for
RHEL4 and  GFS-6.0.2.30-0 for RHEL3) wait for "Blocked:  (true|false)" , but
newer models (like Sphereon 4500) return "Blocked:  (Blocked|Unblocked)" on the
port show command.

The attached patch adds the necessary bits to make the script recognize that it
has indeed done the request action. I've tested this fix also on GFS-6.1.5-0 and
it works fine.

Comment 1 Bryn M. Reeves 2007-05-15 10:29:43 UTC
Created attachment 154720 [details]
Patch adding support for newer mcdata prompt style

Comment 3 Jim Parsons 2007-09-25 14:26:24 UTC
Thanks for the patch.

Comment 6 errata-xmlrpc 2007-11-21 21:54:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0996.html



Note You need to log in before you can comment on or make changes to this bug.